[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# DefaultAnsi2WideMove

Standard implementation of Ansi to Widestring conversion routine

## Declaration

Source position: wstringh.inc line 36

`procedure DefaultAnsi2WideMove(`
`source: PChar;`
`cp: TSystemCodePage;`
`var dest: widestring;`
`len: SizeInt`
`);`

## Description

DefaultAnsi2WideMove simply copies each character of the null-terminated ansi-string Source to the corresponding WideChar in Dest. At most Len characters will be copied.

## Errors

None.

## See also

DefaultUnicode2AnsiMove |  | Standard widestring manager callback